var MyTheme = {
'Browser': {
url: document.URL,
domain: document.domain,
title: document.title,
language: (navigator.browserLanguage || navigator.language).toLowerCase(),
canvas: function() {
return !!document.createElement("canvas").getContext
}(),
useragent: function() {
var a = navigator.userAgent;
return {
mobile: !! a.match(/AppleWebKit.*Mobile.*/),
ios: !! a.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/),
android: -1 < a.indexOf("Android") || -1 < a.indexOf("Linux"),
iPhone: -1 < a.indexOf("iPhone") || -1 < a.indexOf("Mac"),
iPad: -1 < a.indexOf("iPad"),
trident: -1 < a.indexOf("Trident"),
presto: -1 < a.indexOf("Presto"),
webKit: -1 < a.indexOf("AppleWebKit"),
gecko: -1 < a.indexOf("Gecko") && -1 == a.indexOf("KHTML"),
weixin: -1 < a.indexOf("MicroMessenger")
}
}()
},
'Images': {
'Flickity': {
'Init': function() {
if($(".flickity").length){
$(".flickity").each(function(){
var $that = $(this);
MyTheme.Images.Flickity.Set($that,$that.attr('data-align'),$that.attr('data-dots'),$that.attr('data-next'),$that.attr('data-play'));
$(this).click(function() {
$(".lazyload").lazyload();
});
});
}
},	
}
},
'Link': {
'Copy': {
'Init': function() {
$(".myui-copy-link").each(function(){
var links = $(this).attr("data-url");
MyTheme.Link.Copy.Set(this,links);
});
$(".myui-copy-html").each(function(){
var html = $(this).parent().find(".content").html();
MyTheme.Link.Copy.Set(this,html);
});
},
},
'Short': function(){
$(".myui-short").each(function(){
var codyId = this;
var shortId = $(this);
var shortUrl = shortId.val() || shortId.attr("data-url");
var linkText = shortId.attr("data-text");
if(myui.short==1){
$.ajax({
type : 'GET',
url : myui.shortapi+encodeURIComponent(shortUrl),
dataType : 'jsonp',
success : function(r) {
url_short = r.data.urls[0].url_short;
if(shortId.val()){
shortId.val(linkText+url_short);
}else if(shortId.attr("data-url")){
shortId.attr("data-url",url_short);
MyTheme.Link.Copy.Set(codyId,linkText+url_short);
}
}
});
}else{
if(shortId.val()){
shortId.val(linkText+shortUrl);
}else if(shortId.attr("data-url")){
shortId.attr("data-url",shortUrl);
MyTheme.Link.Copy.Set(codyId,linkText+shortUrl);
}	
}
});
}
},
'Other': {
'Bootstrap': function() {
$('a[data-toggle="tab"]').on("shown.bs.tab", function(a) {
var b = $(a.target).text();
$(a.relatedTarget).text();
$("span.active-tab").html(b);
$(".lazyload").lazyload();
});
},
'Sort': function() {
$(".sort-button").each(function(){
$(this).on("click",function(e){
e.preventDefault();
$(this).parent().parent().parent().find(".sort-list").each(function(){
var playlist=$(this).find("li");
for(let i=0,j=playlist.length-1;i<j;){
var l=playlist.eq(i).clone(true);
var r=playlist.eq(j).replaceWith(l);
playlist.eq(i).replaceWith(r);
++i;
--j;
}
});
});
});
},
'Search': function() {		    	
$(".search-select p,.search-select li").click(function() {
var action =$(this).attr("data-action");
$("#search").attr("action",action);
$(".search-select .text").text($(this).html());
});			
$(".search_submit").click(function() {
var value=$(".search_wd").val();
if (!value) {
var wd=$(".search_wd").attr("placeholder");
$(".search_wd").val(wd);
}
});
$(".open-search").click(function(){
var seacrhBox=$(".search-box");
seacrhBox.addClass("active").siblings().hide();
seacrhBox.find(".form-control").focus();
seacrhBox.find(".head-dropdown").toggle();
$(".search-close").click(function(){
seacrhBox.removeClass("active").siblings().show();
seacrhBox.find(".dropdown-box").hide();
});
});	
},
'Collapse': function() {
$(".text-collapse").each(function(){
$(this).find(".details").on("click",function(){
$(this).parent().find(".sketch").addClass("hide");
$(this).parent().find(".data").css("display","");
$(this).remove();
});
});
$(".dropdown-hover").click(function(){
$(this).find(".dropdown-box").toggle();
});
},
'Scrolltop': function() {
var a = $(window);
$scrollTopLink = $("a.backtop");
a.scroll(function() {
500 < $(this).scrollTop() ? $scrollTopLink.css("display", "") : $scrollTopLink.css("display", "none");
});
$scrollTopLink.on("click", function() {
$("html, body").animate({
scrollTop: 0
}, 400);
return true;
});
},
'Slidedown': function() {
var display = $('.slideDown-box');

$(".slideDown-btn").click(function() {

if(display.css('display') == 'block'){
display.slideUp("slow");
$(this).html('展开  <i class="fa fa-angle-down"></i>');
}else{
display.slideDown("slow"); 
$(this).html('收起   <i class="fa fa-angle-up"></i>');
}
});
},
'History': {
'Init':function(){
if($(".vod_history").length){
var $that = $(".vod_history");
MyTheme.Other.History.Set($that.attr('data-name'),$that.attr('data-link'),$that.attr('data-pic'),$that.attr('data-part'),$that.attr('data-limit'));
}
},
},
}	
};
$(function(){
if(MyTheme.Browser.useragent.mobile){
MyTheme.Mobile.Nav.Init();
MyTheme.Mobile.Mshare();
}
MyTheme.Images.Flickity.Init();	
MyTheme.Link.Copy.Init();
MyTheme.Link.Short();
MyTheme.Other.Bootstrap();
MyTheme.Other.Sort();
MyTheme.Other.Search();
MyTheme.Other.Collapse();
MyTheme.Other.Slidedown();
MyTheme.Other.Scrolltop();
MyTheme.Other.History.Init();
});